%define name gprolog
%define version 1.1.2
%define release 2mdk

Name: %{name}
Summary: GNU Prolog is a free Prolog
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Source4: %{name}.menu
Group: Development/Other
URL: http://www.gnu.org/software/prolog
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr/lib

%description
GNU Prolog is a native Prolog compiler with constraint solving over finite
domains (FD) developed by Daniel Diaz. Last information about GNU Prolog can
be found at http://www.gnu.org/software/prolog.
A lot of work has been devoted to the ISO compatibility. GNU Prolog is very
close to the ISO standard (http://www.logic-programming.org/prolog_std.html).


%prep
%setup -q

%build
cd src
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
cd src/
make install INSTALL_DIR=$RPM_BUILD_ROOT/usr/lib/%{name}-%{version} LINKS_DIR=$RPM_BUILD_ROOT/usr/bin

ln -sf $(ls $RPM_BUILD_ROOT/usr/lib/%{name}-%{version}/bin/* | sed 's,.*/usr,..,') $RPM_BUILD_ROOT/usr/bin

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/%{name}*
/usr/lib/menu/*

%changelog
* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.1.2-2mdk
- cleanup, add menu, new group

* Wed Dec 01 1999 Lenny Cartier <lenny@mandrakesoft.com>
- initial specfile
- added %doc
- added symlinks in /usr/bin
- enable mdk CFLAGS
- ...things to satisfy Mr Pixel

